
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
           
          </div><!-- /.col -->
        
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
          <!-- Small boxes (Stat box) -->
         
          <!-- /.row -->
          <!-- Main row -->
        
          <!-- /.row (main row) -->
        </div><!-- /.container-fluid -->
        <div class="container-fluid">
  
  
  
  
   
  
      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card">
                <div class="card-header">
                  <h3 class="card-title">Abonnements</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  
                  <div  class="dataTables_filter">
                    <input type="text" id="client_name" class="form-control " placeholder="Indiquez le nom de l'avocat/cabinet" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <select id="typeofsub"class="form-control" placeholder="Sélectionnez le type d'abonnement" aria-controls="example1" style="width: 300px;display:inline;margin-bottom: 3px;">
                      <option value="">Veuillez sélectionner le type d'abonnement</option>
                      <option value="online">En ligne</option>
                      <option value="offline">Hors ligne</option>
                    </select>
                    <select id="status"class="form-control " placeholder="Sélectionner l'état de l'abonnement" aria-controls="example1" style="width: 300px;display:inline;margin-bottom: 3px;">
                      <option value="">Veuillez sélectionner le statut de l'abonnement</option>
                      <option value="true">Actif</option>
                      <option value="false">Désactivé</option>
                    </select>
                    <input type="text" id="email"class="form-control" placeholder="Entrez l'email" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="text" onfocus="(this.type='date')" onblur="(this.type='text')" id="start_date" class="form-control " placeholder="date d'entrée en vigueur" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="text" onfocus="(this.type='date')" onblur="(this.type='text')" id="end_date" class="form-control " placeholder="date de fin" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                    <input type="button" id="search" class="btn btn-primary"  value="filtre" onclick="handlefilter()" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;">
                  </div>
                  <table id="example1" class="table table-bordered table-hover">
                    <thead>
                    <tr>

                      <th>ID</th>
                      <th>Nom de l'avocat/Cabinet</th>
                      <th>Email </th>
                      <th>Type d'abonnement  </th>
                      <th>Statut</th>
                     <th>Date de début</th>
                     <th>Date de fin</th>
                    
                    </tr>
                    </thead>
                    <tbody>
                   <% subscriptions.forEach((element,index) => { %>
                    <tr>
                     
                    <td><%= index %> </td>
                      <td><%= element.subscriber_name %> </td>
                      <td><%= element.subscriber_email %> </td>
                      <td><%= element.type_of_subscription %></td>
                      <td><%= element.status?"Actif":"Inactif" %></td>
                      <td><%= moment(new Date(element.start_date).toISOString().split("T")[0]).format("YYYY.MM.DD")?moment(new Date(element.start_date).toISOString().split("T")[0]).format("YYYY.MM.DD"):"" %></td>
                      <td><%= moment(new Date(element.end_date).toISOString().split("T")[0]).format("YYYY.MM.DD")?moment(new Date(element.end_date).toISOString().split("T")[0]).format("YYYY.MM.DD"):"" %></td>
                      
                     
                     
                    </tr>
                    <% }); %>
                    </tbody>
                  
                  
                  
                   
                  
                  </table>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->
  
           
              <!-- /.card -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
      </section>
      <!-- /.content -->
    
  
  
  <script>
   
    function handlefilter(){
      var lawyer_name = $("#client_name").val();
  var email=$("#email").val()
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    var typeofsub=$("#typeofsub").val();
    var status=$("#status").val();
    var url='/admin-panel/managesubscriptions?lawyer_name='+lawyer_name+'&start_date='+start_date+'&end_date='+end_date+'&typeofsub='+typeofsub+'&status='+status+'&email='+email;
    window.location.href = url;
  }
  </script>
  
  
        </div>
      
      </section>
   
    <!-- /.content -->
  </div>
 
</div>
<!-- ./wrapper -->

